# $Id: Makefile.in 2660 2006-07-18 17:23:31Z dbaelde $

PROGNAME := ocaml-lastfm
DISTFILES := @AUTOCONF_INSTALL_FILES@ CHANGES COPYING Makefile.in README \
	bootstrap configure configure.ac  \
	src/lastfm.ml src/lastfm.mli src/Makefile.in src/META.in \
	src/OCamlMakefile src/*.ml.in src/lastfm_generic.ml \
	src/lastfm_generic.mli \
	examples/*.ml examples/Makefile* examples/OCamlMakefile
VERSION = @VERSION@

all clean install uninstall:
	$(MAKE) -C src $@

distclean: clean
	$(MAKE) -C examples clean

doc:
	$(MAKE) -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/lastfm/html doc
	rm -rf src/doc

dist:
	rm -rf $(PROGNAME)-$(VERSION)
	mkdir $(PROGNAME)-$(VERSION)
	cp -R -L --parents $(DISTFILES) $(PROGNAME)-$(VERSION)
	tar zcvf ../$(PROGNAME)-$(VERSION).tar.gz $(PROGNAME)-$(VERSION)
	rm -rf $(PROGNAME)-$(VERSION)

.PHONY: dist doc
